-- LOIH Cal DEBUG -------------------------------------------------------------
-------------------------------------------------------------------------------
local _G = getfenv(0)
local ADDON_NAME, ns = ...

ns.DEBUGGING = false
--@debug@
ns.DEBUGGING = true
--@end-debug

local tostring, print = _G.tostring, _G.print
local type, pairs, string = _G.type, _G.pairs, _G.string

-- Timestamp HH:MM
function ns._normTime() -- Return time in HH:MM format instead of H:M
	local hour, minute = GetGameTime()
	if hour < 10 then
		hour = "0"..hour
	end
	if minute < 10 then
		minute = "0"..minute
	end
	return hour..":"..minute
end

-- print_r
function ns.print_r ( t )
	local print_r_cache={}
	local function sub_print_r(t,indent)
		if (print_r_cache[tostring(t)]) then
			print(indent.."*"..tostring(t))
		else
			print_r_cache[tostring(t)]=true
			if (type(t)=="table") then
				for pos,val in pairs(t) do
					if (type(val)=="table") then
						print(indent.."["..pos.."] => "..tostring(t).." {")
						sub_print_r(val,indent..string.rep(" ",string.len(pos)+8))
						print(indent..string.rep(" ",string.len(pos)+6).."}")
						else
						print(indent.."["..pos.."] => "..tostring(val))
					end
				end
			else
				print(indent..tostring(t))
			end
		end
	end
	sub_print_r(t," ")
end

-- DEBUG
local function CreateDebugFrame()
	return _G.LibStub("LibTextDump-1.0"):New(string.format("%s - DEBUG", ADDON_NAME), 320, 480)
end

local debugger
function ns.Debug(...)
	debugger = debugger or CreateDebugFrame()
	--debugger:Clear()
	debugger:AddLine(string.format(...))
	debugger:Display()
end
-- EOF